- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Estimation::Discrete::Stub::MEStub Class Reference

`#include <ME_stub.h>`

Inheritance diagram for Mers::Estimation::Discrete::Stub::MEStub:

[legend]
Collaboration diagram for Mers::Estimation::Discrete::Stub::MEStub:

[legend]
List of all members.

## Public Member Functions
bool | progress (unsigned int cmd_index, unsigned int value_index)
bool | observe (unsigned int obs_index, unsigned int value_index)
const Mers::Utils::Containers::intList * | find_mode_estimate ()
const Mers::Utils::Containers::intList * | get_full_state ()
bool | progress_to_estimate ()
virtual bool | set_initial_state (unsigned int state_index, unsigned int value_index)

## Detailed Description

Stub for Discrete Mode Estimation.

Author:
  Andreas F. Wehowsky

  Paul H. Elliott

Definition at line 34 of file ME_stub.h.

## Member Function Documentation

bool MEStub::progress | ( | unsigned int | cmd_index,
|  | unsigned int | value_index |
| ) |  |  | `[virtual]`

assert the command

Parameters:

  | cmd_index | an index corresponding to the command variable.
  | value_index | an index corresponding to the value of the command variable.

Returns:
  'false' on failure.

Implements Mers::Estimation::Discrete::ME_connection.

Definition at line 52 of file ME_stub.cpp.

bool MEStub::observe | ( | unsigned int | obs_index,
|  | unsigned int | value_index |
| ) |  |  | `[virtual]`

Asserts the observation.

Parameters:

  | obs_index | an index corresponding to the observable variable.
  | value_index | an index corresponding to the value of the observable variable.

Returns:
  'false' on failure.

Implements Mers::Estimation::Discrete::ME_connection.

Definition at line 60 of file ME_stub.cpp.

const intList * MEStub::find_mode_estimate | ( |  | ) | `[virtual]`

Estimates the current state, returning all states that have changed.

Returns:
  the changed modes of the components the caller is responsible for freeing the intList memory!

Implements Mers::Estimation::Discrete::ME_connection.

Definition at line 76 of file ME_stub.cpp.

References Mers::Utils::Containers::intList::clear(), and Mers::Utils::Containers::intList::push_back().

Here is the call graph for this function:

const intList * MEStub::get_full_state | ( |  | ) | `[virtual]`

Estimates the current state, returning an assignment to every state.

Returns:
  the current modes of all components the caller is responsible for freeing the intList memory!

Implements Mers::Estimation::Discrete::ME_connection.

Definition at line 91 of file ME_stub.cpp.

References Mers::Utils::Containers::intList::clear(), and Mers::Utils::Containers::intList::push_back().

Here is the call graph for this function:

bool MEStub::progress_to_estimate | ( |  | ) | `[virtual]`

Sets the estimated state as the current state.

Returns:
  'false' on failure

Implements Mers::Estimation::Discrete::ME_connection.

Definition at line 107 of file ME_stub.cpp.

bool MEStub::set_initial_state | ( | unsigned int | state_index,
|  | unsigned int | value_index |
| ) |  |  | `[virtual]`

Asserts the state.

Parameters:

  | state_index | an index corresponding to the state variable.
  | value_index | an index corresponding to the value of the state variable.

Returns:
  'false' on failure.

Implements Mers::Estimation::Discrete::ME_connection.

Definition at line 115 of file ME_stub.cpp.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/Stub/ME_stub.h
- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/Stub/ME_stub.cpp